aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-whoispy/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-05-30 17:35:06 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-07-07 18:12:32 +0000
commitc0e1cd19fc8fdce4a87bb750c0a7c692da38f5e3 (patch)
treed53a349bcbee0fb82e79a446f31f4fd016cf8bce /testing/py-whoispy/APKBUILD
parent93e89d9bfc2eb74342c3f1e118fe50bc9fb59141 (diff)
downloadaports-c0e1cd19fc8fdce4a87bb750c0a7c692da38f5e3.tar.gz
aports-c0e1cd19fc8fdce4a87bb750c0a7c692da38f5e3.tar.bz2
aports-c0e1cd19fc8fdce4a87bb750c0a7c692da38f5e3.tar.xz
testing/py-whoispy: new aport
A Python module/library to get the WHOIS information https://github.com/nemumu/whoispy
Diffstat (limited to 'testing/py-whoispy/APKBUILD')
-rw-r--r--testing/py-whoispy/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-whoispy/APKBUILD b/testing/py-whoispy/APKBUILD
new file mode 100644
index 0000000000..7c5a0f242c
--- /dev/null
+++ b/testing/py-whoispy/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-whoispy
+_pkgname=whoispy
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="A Python module/library to get the WHOIS information"
+url="https://github.com/nemumu/whoispy"
+arch="noarch"
+license="GPL3+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="8b955f4be99a98de88925a6d84bee593 whoispy-0.2.4.tar.gz"
+sha256sums="4dd485695644cc869df68cee5962dc55ca3727ff67460e8d17032cf4152125b6 whoispy-0.2.4.tar.gz"
+sha512sums="6574e16fb6d899145a1ba779b17a1df6aca303c554478eb54604dba6688b7b3ec5a1d69e9bbdda0c149498a7ed668b0b5ee65c451745ae08d994d65f30747a72 whoispy-0.2.4.tar.gz"